<template>
    <div class="content-grid content-grid--subpage">
        <BackLinkTitle :title="t(`routes.regles.name`)" />

        <!--<Card>-->

        <div v-if="tableRegle && tableRegle.length >0">
                <Card :title="regle.titre" style="margin-bottom:20px" v-for="regle in tableRegle" :key="regle.index">
                    <div v-html="regle.description"></div><br />

                </Card>

        </div>
        <div v-else>
            <p>{{t('regle.pasderegle')}}</p>
        </div>
        <!--</Card>-->
    </div>
</template>

<script lang="ts" setup>
    import { useI18n } from "vue3-i18n";
    import { useRegleService } from "@/inversify.config";
    import { Regle } from "@/types/entities";
    import {computed, onMounted, ref} from "vue";
    import Breadcrumbs from "@/components/layout/Breadcrumbs.vue";
    import BackLinkTitle from "@/components/layout/BackLinkTitle.vue";
    import Card from "@/components/layout/Card.vue";

    const { t } = useI18n()
    const regleService = useRegleService();

    const lesRegles = ref<Regle[]>([]);
const enChargement = ref(false);
let i=0
const tableRegle = computed(() => {
    return lesRegles.value.map((x: Regle) => {
        i++
        return {
            titre: (x.titreFr),
            description: x.descriptionFr,
            index:i 

    }
  }).sort((a: any, b: any) => {
    if (a.titre < b.titre) {
      return -1;
    }
    if (a.nom > b.nom) {
      return 1;
    }
      return 0;
  }) as Regle[];
})

onMounted(async () => {
  await chargerRegles();
});

async function chargerRegles() {
  enChargement.value = true;

    let regles = await regleService.getAllRegles();
    if (regles && regles.length > 0) {
        lesRegles.value = regles;
  }
  enChargement.value = false;
}


</script>
